function []= fourierova(novex,z,fvz,sub_index)

%tato funkce vykresluje výkonové spektrum pomocí fourierovy transformace

subplot (1,2,sub_index);
L = length(novex);                  %delka signálu
NFFT = 2^nextpow2(L);           
Y = fft(z,NFFT)/L;                  %fourierova transformace
Y1 = 2*abs(Y(1:NFFT/2+1));
f = fvz/2*linspace(0,1,NFFT/2+1);   %frekvenční osa
L2 = length(Y1);


%PRAHOVÁNÍ
start =((L2/100)*1.08);
Y2=Y1(floor(start):end);
L3 = length(Y2);
Y3 = Y2(1:(floor(L3/7)));
[maximum,poloha]=max(Y3(1:end));
maximum_y = maximum;


%Vykreslení prahu do FFT
poloha1 = (poloha-1)+(floor(start));                     %korekce zpoždění
poloha_x = f(poloha1);
stem(poloha_x, maximum_y, 'r','LineWidth',2);            %vykreslení maxima  
hold on;
mezera = 45;
plot(f(mezera:floor(L3/7)), Y1(mezera:floor(L3/7)));     %vykreslení EGG signálu s vyznačenou hodnotou

if sub_index==1;
title('Preprandiální fáze s vyznačenou dominatní frekvencí');  
else 
title('Postprandiální fáze s vyznačenou dominatní frekvencí'); 
end
xlabel('Frekvence [Hz]');
ylabel('U [mV]');
grid on;


